"""
Demonstrate flexible user interaction using while.

This program uses a sentinel loop.
It implements the Flexible Integer Adding Machine.
"""


def main():
    print('Welcome to Flexible Integer Adding Machine.\n')
    entry_count = 0
    sum_of_entries = 0
    entry_as_string = get_input_from_user()

    while entry_as_string != '':
        entry = int(entry_as_string)
        entry_count += 1
        sum_of_entries += entry
        entry_as_string = get_input_from_user()

    print(f'\nThe sum of {entry_count} {"entry" if entry_count == 1 else "entries"} is {sum_of_entries}.')


def get_input_from_user():
    response = input('Please enter an integer value to be added (<Enter> to stop): ')
    return response


main()
